mia-3dtransform2vf(1)

NAME
mia-3dtransform2vf - Create Vectorfield from a transformation.

SYNOPSIS
mia-3dtransform2vf -i <in-file> -o <out-file> [options]

DESCRIPTION
mia-3dtransform2vf Create a 3D vector field from a given transformation. The output vector field will have the dimesions as given in the transformation description.

OPTIONS

    -i --in-file=(input, required); io
        input transformation
         For supported file types see PLUGINS:3dtransform/io

    -o --out-file=(output, required); io
        output vector field
         For supported file types see PLUGINS:3dvf/io

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 3dtransform/io

bbs Binary (non-portable) serialized IO of 3D transformations

    Recognized file extensions: .bbs

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

vista
    Vista storage of 3D transformations

    Recognized file extensions: .v, .v3dt

xml XML serialized IO of 3D transformations

    Recognized file extensions: .x3dt

PLUGINS: 3dvf/io

cvista
    obsolete 3d vector field io plugin for range compressend vista (saving not supported)

    Recognized file extensions: .CVF, .cvf

    Supported element types:
        floating point 32 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

vista
    a 3d vector field io plugin for vista

    Recognized file extensions: .V, .VF, .v, .vf

    Supported element types:
        floating point 32 bit

vtk 3D Vector field in- and output (experimental). No attributes are stored or read.

    Recognized file extensions: .VTK, .VTKVF, .vtk, .vtkvf

    Supported element types:
        floating point 32 bit

EXAMPLE
Transform the input transformation trans.v3df to a vector field field.vtk.

mia-3dtransform2vf -i trans.v3df -o field.vtk

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.